import 'dart:ffi';
import 'dart:typed_data';
import 'package:ffi/ffi.dart';

class MDBvalue extends Struct {
  @IntPtr()
  int size;

  Pointer<Void> data;

  static MDBvalue fromUint8List(Uint8List binary) {
    final key = allocate<Uint8>(count: binary.length);

    for (var index = 0; index < binary.length; index++) {
      key[index] = binary[index];
    }

    return allocate<MDBvalue>().ref
      ..size = binary.length * sizeOf<Uint8>()
      ..data = key.cast();
  }
}

class MDBcursor extends Struct {}

class MDBenv extends Struct {}

class MDBtxn extends Struct {}
